## audiochannelmix audiochannelmix |

## Properties

gdouble | left-to-left | Read / Write
gdouble | left-to-right | Read / Write
gdouble | right-to-left | Read / Write
gdouble | right-to-right | Read / Write

## Types and Values

struct | GstAudioChannelMix

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAudioChannelMix

## Description

## Synopsis

### Element Information

plugin | audiofxbad
author | David Schleef <ds@schleef.org>
class | Audio/Mixer

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)2, layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, rate=(int)[ 1, 2147483647 ], channels=(int)2, layout=(string)interleaved

## Functions

## Types and Values

### struct GstAudioChannelMix

    struct GstAudioChannelMix;

## Property Details

### The `“left-to-left”` property

      “left-to-left”             gdouble

Left channel to left channel gain.

Flags: Read / Write

Default value: 1

### The `“left-to-right”` property

      “left-to-right”            gdouble

Left channel to right channel gain.

Flags: Read / Write

Default value: 0

### The `“right-to-left”` property

      “right-to-left”            gdouble

Right channel to left channel gain.

Flags: Read / Write

Default value: 0

### The `“right-to-right”` property

      “right-to-right”           gdouble

Right channel to right channel gain.

Flags: Read / Write

Default value: 1